Summary:	Music DJing software
Name:		mixxx
Version:	2.0.0
Release:	%mkrel 6
Group:		Sound/Players
License:	GPLv2+
URL:		http://mixxx.sourceforge.net/
Source:		http://downloads.mixxx.org/%{name}-%{version}/%{name}-%{version}-src.tar.gz
BuildRequires:	alsa-lib-devel
BuildRequires:	audiofile-devel
BuildRequires:	qt4-devel >= 4:4.6
BuildRequires:	pkgconfig(QtWebKit) >= 4.6
BuildRequires:	chromaprint-devel
BuildRequires:	fftw-devel
BuildRequires:	icoutils
BuildRequires:	imagemagick
BuildRequires:	jackit-devel
BuildRequires:	ladspa-devel
BuildRequires:	libdjconsole-devel
BuildRequires:	libgpod-devel
BuildRequires:	libogg-devel
BuildRequires:	libshout-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libtaglib-devel
BuildRequires:	mad-devel
BuildRequires:	mesaglu-devel
BuildRequires:	opusfile-devel
BuildRequires:	pkgconfig(libusb)
BuildRequires:	portaudio-devel >= 0.19
BuildRequires:	portmidi-devel
BuildRequires:	protobuf-devel
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	rubberband-devel
BuildRequires:	scons
BuildRequires:	sed
BuildRequires:	sndfile-devel

Requires:	qt4-database-plugin-sqlite

%description
Mixxx allows DJs to mix music live with a clean, simple interface.
Futhermore, Mixxx has a number of key features to help DJs in the mix:
Beat estimation, parallel visual displays, and support for various DJ
hardware controllers.

Mixxx can be controlled through the GUI using the mouse, or by
connecting MIDI devices to the computer. Commercial and custom build
MIDI controllers can be used. The mapping between functions and MIDI
controller values are done in text files. 

%prep
%setup -q

%build
%setup_compile_flags

sed -i -e "s|QTDIR\/lib|QTDIR\/%{_lib}|g" src/SConscript
sed -i -e 's|-Wl,-rpath,\$QTDIR/%{_lib}||g' src/SConscript

%ifarch %ix86
%global machine i586
%endif
%ifarch x86_64
%global machine amd64
%endif
%ifarch armv5tl
%global machine armel
%endif
%ifarch armv7hl
%global machine armhf
%endif 

#FIXME : LIBDIR needed by Mixxx as of 2.0.0 version
LIBDIR=%{_libdir} %scons \
    prefix=%{_prefix} \
    install_root=%{buildroot}%{_prefix} \
    qtdir=%{qt4dir} \
    build=release \
    optimize=portable \
    shoutcast=1 \
    ladspa=0 \
    ipod=0 \
    ffmpeg=0 \
    vinylcontrol=1 \
    portmidi=0 \
    m4a=0 \
    tuned=0 \
    vamp=1 \
    machine=%{machine}

%install
export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:%{qt4lib}/pkgconfig
mkdir -p %{buildroot}%{_prefix}
#FIXME : LIBDIR needed by Mixxx as of 2.0.0 version
LIBDIR=%{_libdir} \
%scons_install \
    prefix=%{_prefix} \
    install_root=%{buildroot}%{_prefix} \
    machine=%{machine}

rm -fr %{buildroot}%{_docdir}

mkdir -p %{buildroot}%{_datadir}/applications
install -m644 res/linux/%{name}.desktop %{buildroot}%{_datadir}/applications
sed -i -e "s|mixxx-icon|mixxx|g" %{buildroot}%{_datadir}/applications/%{name}.desktop
mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/apps
icotool -x -i 1 -o %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png res/images/ic_mixxx.ico

# not needed
rm -rf %{buildroot}%{_datadir}/pixmaps

%files
%doc README LICENSE
%doc Mixxx-Manual.pdf
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/mixxx.appdata.xml
%{_libdir}/mixxx/plugins/vamp/libmixxxminimal.so


%changelog
* Sun Oct 16 2016 pterjan <pterjan> 2.0.0-6.mga6
+ Revision: 1061104
- Also set machine type for install

* Sun Oct 16 2016 pterjan <pterjan> 2.0.0-5.mga6
+ Revision: 1061095
- Force machine type and use our flags

* Sun Feb 14 2016 luigiwalser <luigiwalser> 2.0.0-4.mga6
+ Revision: 960387
- rebuild for chromaprint

* Sat Jan 02 2016 zezinho <zezinho> 2.0.0-3.mga6
+ Revision: 918521
- remove flags that no longer exist
- do not use default debug build
- optimize portable only use portable optimization flags

* Sat Jan 02 2016 zezinho <zezinho> 2.0.0-2.mga6
+ Revision: 918359
- really fix vamp build

* Fri Jan 01 2016 zezinho <zezinho> 2.0.0-1.mga6
+ Revision: 917716
- add BR rubberband
- workaround for x86_64
- reordered BR
  vamp enabled as it is upstream recommended
- new version 2.0.0
- add opusfile
- add chromaprint

* Sat Aug 29 2015 cjw <cjw> 1.11.0-8.mga6
+ Revision: 870779
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.11.0-7.mga5
+ Revision: 748289
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.11.0-6.mga5
+ Revision: 682536
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 luigiwalser <luigiwalser> 1.11.0-5.mga5
+ Revision: 672249
- rebuild for protobuf

* Sat Jul 05 2014 pterjan <pterjan> 1.11.0-4.mga5
+ Revision: 643742
- Replace libusb*-devel BuildRequires by better ones

* Tue Dec 31 2013 dmorgan <dmorgan> 1.11.0-3.mga4
+ Revision: 563518
- Rebuild against current protobuf

* Sat Oct 19 2013 umeabot <umeabot> 1.11.0-2.mga4
+ Revision: 528593
- Mageia 4 Mass Rebuild

* Mon Jun 24 2013 dams <dams> 1.11.0-1.mga4
+ Revision: 446243
- update BR
- fix icon for better rendering
- new version 1.11.0

* Sat Jan 12 2013 umeabot <umeabot> 1.10.1-3.mga3
+ Revision: 360114
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 zezinho <zezinho> 1.10.1-2.mga3
+ Revision: 321851
- fix rpm group

* Thu Jun 28 2012 dams <dams> 1.10.1-1.mga3
+ Revision: 264686
- new version 1.10.1

* Mon Jan 02 2012 dams <dams> 1.10.0-1.mga2
+ Revision: 189638
- new version 1.10.0

* Sun Dec 18 2011 fwang <fwang> 1.9.2-2.mga2
+ Revision: 183665
- br qtwebkit

* Thu Nov 10 2011 dams <dams> 1.9.2-1.mga2
+ Revision: 166145
- new version 1.9.2
- clean specfile

* Thu Apr 07 2011 dams <dams> 1.9.0-2.mga1
+ Revision: 81673
- add 'qt4-database-plugin-sqlite' as a require

* Wed Apr 06 2011 dams <dams> 1.9.0-1.mga1
+ Revision: 81322
- clean, update 'BuildRequires', update scons options, update icon.png and update to 1.9.0
- clean, update 'BuildRequires', update scons options and update to 1.9.0
- clean, update 'BuildRequires' and update to 1.9.0
- clean, update 'BuildRequires' and update to 1.9.0
- Import, clean and update to 1.9.0
- Import, clean and update to 1.9.0
- imported package mixxx


* Sun Jan 24 2010 Jérôme Brenier <incubusss@mandriva.org> 1.7.2-1mdv2010.1
+ Revision: 495565
- new version 1.7.2
- fix x86_64 build

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 1.7.1
    - spec file clean
    - update to new version 1.7.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Emmanuel Andry <eandry@mandriva.org>
    - drop patches
    - use desktop-file-utils

* Mon Jan 19 2009 Götz Waschk <waschk@mandriva.org> 1.6.1-3mdv2009.1
+ Revision: 331127
- rebuild for new libgpod

* Sat Jan 17 2009 Funda Wang <fwang@mandriva.org> 1.6.1-2mdv2009.1
+ Revision: 330740
- rediff djconsole patch
- rebuild

* Thu Oct 23 2008 Helio Chissini de Castro <helio@mandriva.com> 1.6.1-1mdv2009.1
+ Revision: 296764
- New upstream version

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.6.0-0.beta2.1mdv2009.0
+ Revision: 252544
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Mar 07 2008 Adam Williamson <awilliamson@mandriva.org> 1.6.0-0.beta2.1mdv2008.1
+ Revision: 181218
- install .svg icon as well as .pngs
- adapt %%build and %%install to scons-based buildsystem, drop unnecessary substitutions
- update description
- update buildrequires for qt4 and scons-based buildsystem
- add optflags.patch (patches the build script to allow custom optflags, with thanks to misc for the python syntax help)
- add desktop.patch (fix up menu entry for MDV standards)
- add djconsole.patch (the build's test for libdjconsole doesn't seem to work for some reason, so disable the test and just assume it's present)
- drop djconsole-usb.patch (no longer needed, upstream uses pkg-config now)
- drop python-config.patch (no longer relevant)
- new license policy
- add conditionals to gracefully handle pre-release build
- new release 1.6.0 beta 2 (requested by Anne)

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5.0.1-4mdv2008.1
+ Revision: 170982
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5.0.1-3mdv2008.0
+ Revision: 67909
- rebuilt against new portaudio libs

* Sun Jun 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.0.1-2mdv2008.0
+ Revision: 43661
- fix bug #31551
- add scriplets

* Sat Jun 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.0.1-1mdv2008.0
+ Revision: 40422
- add buildrequires on usb-devel
- fix building on x86_64
- added missing buildrequires
- spec file clean

  + Helio Chissini de Castro <helio@mandriva.com>
    - Added patch to fix djconsole build against libusb
    - New and revamped mixxx for Mandriva
    - Added support for libdjconsole \o/.
    - Added support for scripting back ( bad python config test )
    - Removed ols debian like menu
    - Added proper desktop file and their official icons
    - Restored portaudio build.
      Lets's have some fun !!


* Tue Sep 05 2006 Emmanuel Andry <eandry@mandriva.org> 1.4.2-3mdv2007.0
- xdg menu
- fix buildrequires

* Wed Jun 22 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.4.2-2mdk
- include README.ALSA
- use mkrel

* Fri Jan 14 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.4.2-1mdk
- 1.4.2
- update configure parameters

* Thu Oct 14 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.4.1-1mdk
- 1.4.1

* Tue Oct 12 2004 Austin Acton <austin@mandrake.org> 1.4-1mdk
- 1.4

* Tue Sep 28 2004 Franck Villaume <fvill@freesurf.fr> 1.3.2-3mdk
- more BuildRequires

* Mon Sep 27 2004 Franck Villaume <fvill@freesurf.fr> 1.3.2-2mdk
- BuildRequires

* Tue Jul 27 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.3.2-1mdk
- 1.3.2
- added patch to allow buid with alsa support, enabled both jack and alsa
- cosmetics, added documentation

* Sun Jul 11 2004 Michael Scherer <misc@mandrake.org> 1.2.1-3mdk 
- rebuid for new gcc (patch #0)

* Mon Mar 22 2004 Austin Acton <austin@mandrake.org> 1.2.1-2mdk
- fix installation

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 1.2.1-1mdk
- 1.2.1

* Tue Dec 30 2003 Austin Acton <austin@linux.ca> 1.2-1mdk
- 1.2
- link to local libs

* Mon Oct 06 2003 Austin Acton <aacton@yorku.ca> 1.0-1mdk
- 1.0
- delib buildrequires

